Package: org.codehaus.groovy.vmplugin.v5

## [Java] Class Java5

- org.codehaus.groovy.vmplugin.v5.Java5

- All Implemented Interfaces and Traits:
    VMPlugin

      @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated
      public class Java5
      extends Object

  java 5 based functions

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `checkAccessible(Class<?> callerClass, Class<?> declaringClass, int memberModifiers, boolean allowIllegalAccess)`
    `` | `boolean` | `checkCanSetAccessible(AccessibleObject accessibleObject, Class<?> callerClass)` The following scenarios can not set accessible, i.e. the return value is false 1) SecurityException occurred 2) the accessible object is a Constructor object for the Class class
    `` | `void` | `configureAnnotation(AnnotationNode node)`
    `` | `void` | `configureAnnotationFromDefinition(AnnotationNode definition, AnnotationNode root)`
    `` | `void` | `configureAnnotationNodeFromDefinition(AnnotationNode definition, AnnotationNode root)`
    `` | `void` | `configureClassNode(CompileUnit compileUnit, ClassNode classNode)`
    `` | `static GenericsType` | `configureTypeVariableDefinition(ClassNode base, ClassNode[] cBounds)`
    `` | `static ClassNode` | `configureTypeVariableReference(String name)`
    `` | `protected int` | `getElementCode(ElementType value)`
    `` | `Object` | `getInvokeSpecialHandle(Method m, Object receiver)`
    `` | `Class[]` | `getPluginDefaultGroovyMethods()`
    `` | `Class[]` | `getPluginStaticGroovyMethods()`
    `` | `int` | `getVersion()`
    `` | `void` | `invalidateCallSites()`
    `` | `Object` | `invokeHandle(Object handle, Object[] args)`
    `` | `protected Parameter` | `makeParameter(CompileUnit cu, com.thoughtworks.qdox.model.Type type, Class cl, Annotation[] annotations, String name)`
    `` | `protected Parameter[]` | `processParameters(CompileUnit compileUnit, Method m)`
    `` | `void` | `setAdditionalClassInformation(ClassNode cn)`
    `` | `MetaMethod` | `transformMetaMethod(MetaClass metaClass, MetaMethod metaMethod, Class<?> caller)`
    `` | `MetaMethod` | `transformMetaMethod(MetaClass metaClass, MetaMethod metaMethod)`
    `` | `boolean` | `trySetAccessible(AccessibleObject ao)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean checkAccessible(Class<?> callerClass, Class<?> declaringClass, int memberModifiers, boolean allowIllegalAccess)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean checkCanSetAccessible(AccessibleObject accessibleObject, Class<?> callerClass)

      The following scenarios can not set accessible, i.e. the return value is false 1) SecurityException occurred 2) the accessible object is a Constructor object for the Class class

      Parameters:
        `accessibleObject` - the accessible object to check
        `callerClass` - the callerClass to invoke `setAccessible`
      Returns:
        the check result

    - #### public void configureAnnotation(AnnotationNode node)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprDeprecated public void configureAnnotationFromDefinition(AnnotationNode definition, AnnotationNode root)

    - #### public void configureAnnotationNodeFromDefinition(AnnotationNode definition, AnnotationNode root)

    - #### public void configureClassNode(CompileUnit compileUnit, ClassNode classNode)

    - #### public static GenericsType configureTypeVariableDefinition(ClassNode base, ClassNode[] cBounds)

    - #### public static ClassNode configureTypeVariableReference(String name)

    - #### protected int getElementCode(ElementType value)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Object getInvokeSpecialHandle(Method m, Object receiver)

    - #### public Class[] getPluginDefaultGroovyMethods()

    - #### public Class[] getPluginStaticGroovyMethods()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public int getVersion()

    - #### public void invalidateCallSites()

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Object invokeHandle(Object handle, Object[] args)

    - #### protected Parameter makeParameter(CompileUnit cu, com.thoughtworks.qdox.model.Type type, Class cl, Annotation[] annotations, String name)

    - #### protected Parameter[] processParameters(CompileUnit compileUnit, Method m)

    - #### public void setAdditionalClassInformation(ClassNode cn)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public MetaMethod transformMetaMethod(MetaClass metaClass, MetaMethod metaMethod, Class<?> caller)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public MetaMethod transformMetaMethod(MetaClass metaClass, MetaMethod metaMethod)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public boolean trySetAccessible(AccessibleObject ao)